Index: /NEMO/branches/2019/fix_sn_cfctl_ticket2328/src/SAO/nemogcm.F90
===================================================================
--- /NEMO/branches/2019/fix_sn_cfctl_ticket2328/src/SAO/nemogcm.F90	(revision 11871)
+++ /NEMO/branches/2019/fix_sn_cfctl_ticket2328/src/SAO/nemogcm.F90	(revision 11872)
@@ -91,5 +91,5 @@
       INTEGER ::   ios, ilocal_comm   ! local integer
       !
-      NAMELIST/namctl/ ln_ctl   , sn_cfctl, nn_print, nn_ictls, nn_ictle,   &
+      NAMELIST/namctl/ sn_cfctl,  nn_print, nn_ictls, nn_ictle,             &
          &             nn_isplt , nn_jsplt, nn_jctls, nn_jctle,             &
          &             ln_timing, ln_diacfl
@@ -142,5 +142,5 @@
       !
       !                             !--------------------!
-      !                             ! Open listing units !  -> need ln_ctl from namctl to define lwp
+      !                             ! Open listing units !  -> need sn_cfctl from namctl to define lwp
       !                             !--------------------!
       !
@@ -153,5 +153,10 @@
       !
       ! finalize the definition of namctl variables
-      IF( sn_cfctl%l_config ) THEN
+      IF( sn_cfctl%l_allon ) THEN
+         ! Turn on all options.
+         CALL nemo_set_cfctl( sn_cfctl, .TRUE., .TRUE. )
+         ! Ensure all processors are active
+         sn_cfctl%procmin = 0 ; sn_cfctl%procmax = 1000000 ; sn_cfctl%procincr = 1
+      ELSEIF( sn_cfctl%l_config ) THEN
          ! Activate finer control of report outputs
          ! optionally switch off output from selected areas (note this only
@@ -161,9 +166,9 @@
            &   CALL nemo_set_cfctl( sn_cfctl, .FALSE., .FALSE. )
       ELSE
-         ! Use ln_ctl to turn on or off all options.
-         CALL nemo_set_cfctl( sn_cfctl, ln_ctl, .TRUE. )
-      ENDIF
-      !
-      lwp = (narea == 1) .OR. ln_ctl .OR. sn_cfctl%l_oceout    ! control of all listing output print
+         ! turn off all options.
+         CALL nemo_set_cfctl( sn_cfctl, .FALSE., .TRUE. )
+      ENDIF
+      !
+      lwp = (narea == 1) .OR. sn_cfctl%l_oceout    ! control of all listing output print
       !
       IF(lwp) THEN                      ! open listing units
@@ -241,5 +246,5 @@
 
 
-      IF( ln_ctl .OR. sn_cfctl%l_mppout )   &
+      IF( sn_cfctl%l_prtctl )   &
          &                 CALL prt_ctl_init       ! Print control
 
@@ -254,5 +259,5 @@
       !! ** Purpose :   control print setting
       !!
-      !! ** Method  : - print namctl information and check some consistencies
+      !! ** Method  : - print namctl and namcfg information and check some consistencies
       !!----------------------------------------------------------------------
       !
@@ -262,5 +267,6 @@
          WRITE(numout,*) '~~~~~~~~'
          WRITE(numout,*) '   Namelist namctl'
-         WRITE(numout,*) '      run control (for debugging)     ln_ctl     = ', ln_ctl
+         WRITE(numout,*) '                              sn_cfctl%l_glochk  = ', sn_cfctl%l_glochk
+         WRITE(numout,*) '                              sn_cfctl%l_allon   = ', sn_cfctl%l_allon
          WRITE(numout,*) '       finer control over o/p sn_cfctl%l_config  = ', sn_cfctl%l_config
          WRITE(numout,*) '                              sn_cfctl%l_runstat = ', sn_cfctl%l_runstat
@@ -268,6 +274,7 @@
          WRITE(numout,*) '                              sn_cfctl%l_oceout  = ', sn_cfctl%l_oceout
          WRITE(numout,*) '                              sn_cfctl%l_layout  = ', sn_cfctl%l_layout
-         WRITE(numout,*) '                              sn_cfctl%l_mppout  = ', sn_cfctl%l_mppout
-         WRITE(numout,*) '                              sn_cfctl%l_mpptop  = ', sn_cfctl%l_mpptop
+         WRITE(numout,*) '                              sn_cfctl%l_prtctl  = ', sn_cfctl%l_prtctl
+         WRITE(numout,*) '                              sn_cfctl%l_prttrc  = ', sn_cfctl%l_prttrc
+         WRITE(numout,*) '                              sn_cfctl%l_oasout  = ', sn_cfctl%l_oasout
          WRITE(numout,*) '                              sn_cfctl%procmin   = ', sn_cfctl%procmin  
          WRITE(numout,*) '                              sn_cfctl%procmax   = ', sn_cfctl%procmax  
@@ -307,5 +314,5 @@
       !                             ! Parameter control
       !
-      IF( ln_ctl .OR. sn_cfctl%l_mppout ) THEN                         ! sub-domain area indices for the control prints
+      IF( sn_cfctl%l_prtctl .OR. sn_cfctl%l_prttrc ) THEN              ! sub-domain area indices for the control prints
          IF( lk_mpp .AND. jpnij > 1 ) THEN
             isplt = jpni   ;   jsplt = jpnj   ;   ijsplt = jpni*jpnj   ! the domain is forced to the real split domain
@@ -427,6 +434,6 @@
       sn_cfctl%l_oceout  = setto
       sn_cfctl%l_layout  = setto
-      sn_cfctl%l_mppout  = setto
-      sn_cfctl%l_mpptop  = setto
+      sn_cfctl%l_prtctl  = setto
+      sn_cfctl%l_prttrc  = setto
       sn_cfctl%l_oasout  = setto
    END SUBROUTINE nemo_set_cfctl
Index: /NEMO/branches/2019/fix_sn_cfctl_ticket2328/src/SAS/daymod.F90
===================================================================
--- /NEMO/branches/2019/fix_sn_cfctl_ticket2328/src/SAS/daymod.F90	(revision 11871)
+++ /NEMO/branches/2019/fix_sn_cfctl_ticket2328/src/SAS/daymod.F90	(revision 11872)
@@ -275,5 +275,5 @@
       IF( nsec_week > 7*nsecd )   nsec_week = ndt05     ! New week
 
-      IF(ln_ctl .OR. sn_cfctl%l_mppout) THEN
+      IF(sn_cfctl%l_prtctl) THEN
          WRITE(charout,FMT="('kt =', I4,'  d/m/y =',I2,I2,I4)") kt, nday, nmonth, nyear
          CALL prt_ctl_info(charout)
Index: /NEMO/branches/2019/fix_sn_cfctl_ticket2328/src/SAS/nemogcm.F90
===================================================================
--- /NEMO/branches/2019/fix_sn_cfctl_ticket2328/src/SAS/nemogcm.F90	(revision 11871)
+++ /NEMO/branches/2019/fix_sn_cfctl_ticket2328/src/SAS/nemogcm.F90	(revision 11872)
@@ -185,5 +185,5 @@
       INTEGER ::   ios, ilocal_comm   ! local integers
       !!
-      NAMELIST/namctl/ ln_ctl   , sn_cfctl, nn_print, nn_ictls, nn_ictle,   &
+      NAMELIST/namctl/ sn_cfctl, nn_print, nn_ictls, nn_ictle,              &
          &             nn_isplt , nn_jsplt, nn_jctls, nn_jctle,             &
          &             ln_timing, ln_diacfl
@@ -246,5 +246,5 @@
       !
       !                             !--------------------!
-      !                             ! Open listing units !  -> need ln_ctl from namctl to define lwp
+      !                             ! Open listing units !  -> need sn_cfctl from namctl to define lwp
       !                             !--------------------!
       !
@@ -257,5 +257,10 @@
       !
       ! finalize the definition of namctl variables
-      IF( sn_cfctl%l_config ) THEN
+      IF( sn_cfctl%l_allon ) THEN
+         ! Turn on all options.
+         CALL nemo_set_cfctl( sn_cfctl, .TRUE., .TRUE. )
+         ! Ensure all processors are active
+         sn_cfctl%procmin = 0 ; sn_cfctl%procmax = 1000000 ; sn_cfctl%procincr = 1
+      ELSEIF( sn_cfctl%l_config ) THEN
          ! Activate finer control of report outputs
          ! optionally switch off output from selected areas (note this only
@@ -265,9 +270,9 @@
            &   CALL nemo_set_cfctl( sn_cfctl, .FALSE., .FALSE. )
       ELSE
-         ! Use ln_ctl to turn on or off all options.
-         CALL nemo_set_cfctl( sn_cfctl, ln_ctl, .TRUE. )
-      ENDIF
-      !
-      lwp = (narea == 1) .OR. ln_ctl .OR. sn_cfctl%l_oceout    ! control of all listing output print
+         ! turn off all options.
+         CALL nemo_set_cfctl( sn_cfctl, .FALSE., .TRUE. )
+      ENDIF
+      !
+      lwp = (narea == 1) .OR. sn_cfctl%l_oceout    ! control of all listing output print
       !
       IF(lwp) THEN                      ! open listing units
@@ -347,5 +352,5 @@
                            CALL eos_init        ! Equation of seawater
                            CALL dom_init('SAS') ! Domain
-      IF( ln_ctl .OR. sn_cfctl%l_mppout )   &
+      IF( sn_cfctl%l_prtctl )   &
          &                 CALL prt_ctl_init        ! Print control
       
@@ -376,5 +381,5 @@
       !! ** Purpose :   control print setting
       !!
-      !! ** Method  : - print namctl information and check some consistencies
+      !! ** Method  : - print namctl and namcfg information and check some consistencies
       !!----------------------------------------------------------------------
       !
@@ -384,5 +389,6 @@
          WRITE(numout,*) '~~~~~~~~'
          WRITE(numout,*) '   Namelist namctl'
-         WRITE(numout,*) '      run control (for debugging)     ln_ctl     = ', ln_ctl
+         WRITE(numout,*) '                              sn_cfctl%l_glochk  = ', sn_cfctl%l_glochk
+         WRITE(numout,*) '                              sn_cfctl%l_allon   = ', sn_cfctl%l_allon
          WRITE(numout,*) '       finer control over o/p sn_cfctl%l_config  = ', sn_cfctl%l_config
          WRITE(numout,*) '                              sn_cfctl%l_runstat = ', sn_cfctl%l_runstat
@@ -390,6 +396,7 @@
          WRITE(numout,*) '                              sn_cfctl%l_oceout  = ', sn_cfctl%l_oceout
          WRITE(numout,*) '                              sn_cfctl%l_layout  = ', sn_cfctl%l_layout
-         WRITE(numout,*) '                              sn_cfctl%l_mppout  = ', sn_cfctl%l_mppout
-         WRITE(numout,*) '                              sn_cfctl%l_mpptop  = ', sn_cfctl%l_mpptop
+         WRITE(numout,*) '                              sn_cfctl%l_prtctl  = ', sn_cfctl%l_prtctl
+         WRITE(numout,*) '                              sn_cfctl%l_prttrc  = ', sn_cfctl%l_prttrc
+         WRITE(numout,*) '                              sn_cfctl%l_oasout  = ', sn_cfctl%l_oasout
          WRITE(numout,*) '                              sn_cfctl%procmin   = ', sn_cfctl%procmin  
          WRITE(numout,*) '                              sn_cfctl%procmax   = ', sn_cfctl%procmax  
@@ -429,5 +436,5 @@
       !                             ! Parameter control
       !
-      IF( ln_ctl .OR. sn_cfctl%l_mppout ) THEN                 ! sub-domain area indices for the control prints
+      IF( sn_cfctl%l_prtctl .OR. sn_cfctl%l_prttrc ) THEN              ! sub-domain area indices for the control prints
          IF( lk_mpp .AND. jpnij > 1 ) THEN
             isplt = jpni   ;   jsplt = jpnj   ;   ijsplt = jpni*jpnj   ! the domain is forced to the real split domain
@@ -553,6 +560,6 @@
       sn_cfctl%l_oceout  = setto
       sn_cfctl%l_layout  = setto
-      sn_cfctl%l_mppout  = setto
-      sn_cfctl%l_mpptop  = setto
+      sn_cfctl%l_prtctl  = setto
+      sn_cfctl%l_prttrc  = setto
       sn_cfctl%l_oasout  = setto
    END SUBROUTINE nemo_set_cfctl
Index: /NEMO/branches/2019/fix_sn_cfctl_ticket2328/src/SAS/sbcssm.F90
===================================================================
--- /NEMO/branches/2019/fix_sn_cfctl_ticket2328/src/SAS/sbcssm.F90	(revision 11871)
+++ /NEMO/branches/2019/fix_sn_cfctl_ticket2328/src/SAS/sbcssm.F90	(revision 11872)
@@ -131,5 +131,5 @@
       vb (:,:,1) = ssv_m(:,:)
  
-      IF(ln_ctl .OR. sn_cfctl%l_mppout) THEN            ! print control
+      IF(sn_cfctl%l_prtctl) THEN            ! print control
          CALL prt_ctl(tab2d_1=sst_m, clinfo1=' sst_m   - : ', mask1=tmask   )
          CALL prt_ctl(tab2d_1=sss_m, clinfo1=' sss_m   - : ', mask1=tmask   )
Index: /NEMO/branches/2019/fix_sn_cfctl_ticket2328/src/SAS/stpctl.F90
===================================================================
--- /NEMO/branches/2019/fix_sn_cfctl_ticket2328/src/SAS/stpctl.F90	(revision 11871)
+++ /NEMO/branches/2019/fix_sn_cfctl_ticket2328/src/SAS/stpctl.F90	(revision 11872)
@@ -63,5 +63,5 @@
       !
       ll_wrtstp  = ( MOD( kt, sn_cfctl%ptimincr ) == 0 ) .OR. ( kt == nitend )
-      ll_colruns = ll_wrtstp .AND. ( ln_ctl .OR. sn_cfctl%l_runstat )
+      ll_colruns = ll_wrtstp .AND. ( sn_cfctl%l_runstat )
       ll_wrtruns = ll_colruns .AND. lwm
       IF( kt == nit000 .AND. lwp ) THEN
@@ -73,5 +73,5 @@
          !                                ! open run.stat file(s) at start whatever
          !                                ! the value of sn_cfctl%ptimincr
-         IF( lwm .AND. ( ln_ctl .OR. sn_cfctl%l_runstat ) ) THEN
+         IF( lwm .AND. ( sn_cfctl%l_runstat ) ) THEN
             CALL ctl_opn( numrun, 'run.stat', 'REPLACE', 'FORMATTED', 'SEQUENTIAL', -1, numout, lwp, narea )
             clname = 'run.stat.nc'
Index: /NEMO/branches/2019/fix_sn_cfctl_ticket2328/src/TOP/PISCES/P2Z/p2zbio.F90
===================================================================
--- /NEMO/branches/2019/fix_sn_cfctl_ticket2328/src/TOP/PISCES/P2Z/p2zbio.F90	(revision 11871)
+++ /NEMO/branches/2019/fix_sn_cfctl_ticket2328/src/TOP/PISCES/P2Z/p2zbio.F90	(revision 11872)
@@ -367,5 +367,5 @@
       ENDIF
 
-      IF(ln_ctl .OR. sn_cfctl%l_mpptop)   THEN  ! print mean trends (used for debugging)
+      IF(sn_cfctl%l_prttrc)   THEN  ! print mean trends (used for debugging)
          WRITE(charout, FMT="('bio')")
          CALL prt_ctl_trc_info(charout)
Index: /NEMO/branches/2019/fix_sn_cfctl_ticket2328/src/TOP/PISCES/P2Z/p2zexp.F90
===================================================================
--- /NEMO/branches/2019/fix_sn_cfctl_ticket2328/src/TOP/PISCES/P2Z/p2zexp.F90	(revision 11871)
+++ /NEMO/branches/2019/fix_sn_cfctl_ticket2328/src/TOP/PISCES/P2Z/p2zexp.F90	(revision 11872)
@@ -146,5 +146,5 @@
       ENDIF
       !
-      IF(ln_ctl .OR. sn_cfctl%l_mpptop)   THEN  ! print mean trends (used for debugging)
+      IF(sn_cfctl%l_prttrc)   THEN  ! print mean trends (used for debugging)
          WRITE(charout, FMT="('exp')")
          CALL prt_ctl_trc_info(charout)
Index: /NEMO/branches/2019/fix_sn_cfctl_ticket2328/src/TOP/PISCES/P2Z/p2zopt.F90
===================================================================
--- /NEMO/branches/2019/fix_sn_cfctl_ticket2328/src/TOP/PISCES/P2Z/p2zopt.F90	(revision 11871)
+++ /NEMO/branches/2019/fix_sn_cfctl_ticket2328/src/TOP/PISCES/P2Z/p2zopt.F90	(revision 11872)
@@ -133,5 +133,5 @@
 
 
-      IF(ln_ctl .OR. sn_cfctl%l_mpptop) THEN      ! print mean trends (used for debugging)
+      IF(sn_cfctl%l_prttrc) THEN      ! print mean trends (used for debugging)
          WRITE(charout, FMT="('opt')")
          CALL prt_ctl_trc_info( charout )
Index: /NEMO/branches/2019/fix_sn_cfctl_ticket2328/src/TOP/PISCES/P2Z/p2zsed.F90
===================================================================
--- /NEMO/branches/2019/fix_sn_cfctl_ticket2328/src/TOP/PISCES/P2Z/p2zsed.F90	(revision 11871)
+++ /NEMO/branches/2019/fix_sn_cfctl_ticket2328/src/TOP/PISCES/P2Z/p2zsed.F90	(revision 11872)
@@ -107,5 +107,5 @@
       !
 
-      IF(ln_ctl .OR. sn_cfctl%l_mpptop)   THEN  ! print mean trends (used for debugging)
+      IF(sn_cfctl%l_prttrc)   THEN  ! print mean trends (used for debugging)
          WRITE(charout, FMT="('sed')")
          CALL prt_ctl_trc_info(charout)
Index: /NEMO/branches/2019/fix_sn_cfctl_ticket2328/src/TOP/PISCES/P4Z/p4zagg.F90
===================================================================
--- /NEMO/branches/2019/fix_sn_cfctl_ticket2328/src/TOP/PISCES/P4Z/p4zagg.F90	(revision 11871)
+++ /NEMO/branches/2019/fix_sn_cfctl_ticket2328/src/TOP/PISCES/P4Z/p4zagg.F90	(revision 11872)
@@ -173,5 +173,5 @@
       ENDIF
       !
-      IF(ln_ctl .OR. sn_cfctl%l_mpptop)   THEN  ! print mean trends (used for debugging)
+      IF(sn_cfctl%l_prttrc)   THEN  ! print mean trends (used for debugging)
          WRITE(charout, FMT="('agg')")
          CALL prt_ctl_trc_info(charout)
Index: /NEMO/branches/2019/fix_sn_cfctl_ticket2328/src/TOP/PISCES/P4Z/p4zbio.F90
===================================================================
--- /NEMO/branches/2019/fix_sn_cfctl_ticket2328/src/TOP/PISCES/P4Z/p4zbio.F90	(revision 11871)
+++ /NEMO/branches/2019/fix_sn_cfctl_ticket2328/src/TOP/PISCES/P4Z/p4zbio.F90	(revision 11872)
@@ -106,5 +106,5 @@
       & CALL p4z_ligand( kt, knt )
       !                                                             !
-      IF(ln_ctl .OR. sn_cfctl%l_mpptop)   THEN  ! print mean trends (used for debugging)
+      IF(sn_cfctl%l_prttrc)   THEN  ! print mean trends (used for debugging)
          WRITE(charout, FMT="('bio ')")
          CALL prt_ctl_trc_info(charout)
Index: /NEMO/branches/2019/fix_sn_cfctl_ticket2328/src/TOP/PISCES/P4Z/p4zfechem.F90
===================================================================
--- /NEMO/branches/2019/fix_sn_cfctl_ticket2328/src/TOP/PISCES/P4Z/p4zfechem.F90	(revision 11871)
+++ /NEMO/branches/2019/fix_sn_cfctl_ticket2328/src/TOP/PISCES/P4Z/p4zfechem.F90	(revision 11872)
@@ -220,5 +220,5 @@
       ENDIF
 
-      IF(ln_ctl .OR. sn_cfctl%l_mpptop)   THEN  ! print mean trends (used for debugging)
+      IF(sn_cfctl%l_prttrc)   THEN  ! print mean trends (used for debugging)
          WRITE(charout, FMT="('fechem')")
          CALL prt_ctl_trc_info(charout)
Index: /NEMO/branches/2019/fix_sn_cfctl_ticket2328/src/TOP/PISCES/P4Z/p4zflx.F90
===================================================================
--- /NEMO/branches/2019/fix_sn_cfctl_ticket2328/src/TOP/PISCES/P4Z/p4zflx.F90	(revision 11871)
+++ /NEMO/branches/2019/fix_sn_cfctl_ticket2328/src/TOP/PISCES/P4Z/p4zflx.F90	(revision 11872)
@@ -179,5 +179,5 @@
       t_atm_co2_flx     =  atcco2      ! Total atmospheric pCO2
  
-      IF(ln_ctl .OR. sn_cfctl%l_mpptop)   THEN  ! print mean trends (used for debugging)
+      IF(sn_cfctl%l_prttrc)   THEN  ! print mean trends (used for debugging)
          WRITE(charout, FMT="('flx ')")
          CALL prt_ctl_trc_info(charout)
Index: /NEMO/branches/2019/fix_sn_cfctl_ticket2328/src/TOP/PISCES/P4Z/p4zligand.F90
===================================================================
--- /NEMO/branches/2019/fix_sn_cfctl_ticket2328/src/TOP/PISCES/P4Z/p4zligand.F90	(revision 11871)
+++ /NEMO/branches/2019/fix_sn_cfctl_ticket2328/src/TOP/PISCES/P4Z/p4zligand.F90	(revision 11872)
@@ -94,5 +94,5 @@
       ENDIF
       !
-      IF(ln_ctl .OR. sn_cfctl%l_mpptop)   THEN  ! print mean trends (used for debugging)
+      IF(sn_cfctl%l_prttrc)   THEN  ! print mean trends (used for debugging)
          WRITE(charout, FMT="('ligand1')")
          CALL prt_ctl_trc_info(charout)
Index: /NEMO/branches/2019/fix_sn_cfctl_ticket2328/src/TOP/PISCES/P4Z/p4zlys.F90
===================================================================
--- /NEMO/branches/2019/fix_sn_cfctl_ticket2328/src/TOP/PISCES/P4Z/p4zlys.F90	(revision 11871)
+++ /NEMO/branches/2019/fix_sn_cfctl_ticket2328/src/TOP/PISCES/P4Z/p4zlys.F90	(revision 11872)
@@ -129,5 +129,5 @@
       ENDIF
       !
-      IF(ln_ctl .OR. sn_cfctl%l_mpptop)   THEN  ! print mean trends (used for debugging)
+      IF(sn_cfctl%l_prttrc)   THEN  ! print mean trends (used for debugging)
         WRITE(charout, FMT="('lys ')")
         CALL prt_ctl_trc_info(charout)
Index: /NEMO/branches/2019/fix_sn_cfctl_ticket2328/src/TOP/PISCES/P4Z/p4zmeso.F90
===================================================================
--- /NEMO/branches/2019/fix_sn_cfctl_ticket2328/src/TOP/PISCES/P4Z/p4zmeso.F90	(revision 11871)
+++ /NEMO/branches/2019/fix_sn_cfctl_ticket2328/src/TOP/PISCES/P4Z/p4zmeso.F90	(revision 11872)
@@ -255,5 +255,5 @@
       IF (ln_ligand)  DEALLOCATE( zz2ligprod )
       !
-      IF(ln_ctl .OR. sn_cfctl%l_mpptop)   THEN  ! print mean trends (used for debugging)
+      IF(sn_cfctl%l_prttrc)   THEN  ! print mean trends (used for debugging)
         WRITE(charout, FMT="('meso')")
         CALL prt_ctl_trc_info(charout)
Index: /NEMO/branches/2019/fix_sn_cfctl_ticket2328/src/TOP/PISCES/P4Z/p4zmicro.F90
===================================================================
--- /NEMO/branches/2019/fix_sn_cfctl_ticket2328/src/TOP/PISCES/P4Z/p4zmicro.F90	(revision 11871)
+++ /NEMO/branches/2019/fix_sn_cfctl_ticket2328/src/TOP/PISCES/P4Z/p4zmicro.F90	(revision 11872)
@@ -207,5 +207,5 @@
       IF (ln_ligand)  DEALLOCATE( zzligprod )
       !
-      IF(ln_ctl .OR. sn_cfctl%l_mpptop) THEN      ! print mean trends (used for debugging)
+      IF(sn_cfctl%l_prttrc) THEN      ! print mean trends (used for debugging)
          WRITE(charout, FMT="('micro')")
          CALL prt_ctl_trc_info(charout)
Index: /NEMO/branches/2019/fix_sn_cfctl_ticket2328/src/TOP/PISCES/P4Z/p4zmort.F90
===================================================================
--- /NEMO/branches/2019/fix_sn_cfctl_ticket2328/src/TOP/PISCES/P4Z/p4zmort.F90	(revision 11871)
+++ /NEMO/branches/2019/fix_sn_cfctl_ticket2328/src/TOP/PISCES/P4Z/p4zmort.F90	(revision 11872)
@@ -118,5 +118,5 @@
       END DO
       !
-       IF(ln_ctl .OR. sn_cfctl%l_mpptop)   THEN  ! print mean trends (used for debugging)
+       IF(sn_cfctl%l_prttrc)   THEN  ! print mean trends (used for debugging)
          WRITE(charout, FMT="('nano')")
          CALL prt_ctl_trc_info(charout)
@@ -193,5 +193,5 @@
       END DO
       !
-      IF(ln_ctl .OR. sn_cfctl%l_mpptop) THEN      ! print mean trends (used for debugging)
+      IF(sn_cfctl%l_prttrc) THEN      ! print mean trends (used for debugging)
          WRITE(charout, FMT="('diat')")
          CALL prt_ctl_trc_info(charout)
Index: /NEMO/branches/2019/fix_sn_cfctl_ticket2328/src/TOP/PISCES/P4Z/p4zpoc.F90
===================================================================
--- /NEMO/branches/2019/fix_sn_cfctl_ticket2328/src/TOP/PISCES/P4Z/p4zpoc.F90	(revision 11871)
+++ /NEMO/branches/2019/fix_sn_cfctl_ticket2328/src/TOP/PISCES/P4Z/p4zpoc.F90	(revision 11872)
@@ -248,5 +248,5 @@
       ENDIF
 
-     IF(ln_ctl .OR. sn_cfctl%l_mpptop)   THEN  ! print mean trends (used for debugging)
+     IF(sn_cfctl%l_prttrc)   THEN  ! print mean trends (used for debugging)
         WRITE(charout, FMT="('poc1')")
         CALL prt_ctl_trc_info(charout)
@@ -460,5 +460,5 @@
      ENDIF
 
-      IF(ln_ctl .OR. sn_cfctl%l_mpptop)   THEN  ! print mean trends (used for debugging)
+      IF(sn_cfctl%l_prttrc)   THEN  ! print mean trends (used for debugging)
          WRITE(charout, FMT="('poc2')")
          CALL prt_ctl_trc_info(charout)
Index: /NEMO/branches/2019/fix_sn_cfctl_ticket2328/src/TOP/PISCES/P4Z/p4zprod.F90
===================================================================
--- /NEMO/branches/2019/fix_sn_cfctl_ticket2328/src/TOP/PISCES/P4Z/p4zprod.F90	(revision 11871)
+++ /NEMO/branches/2019/fix_sn_cfctl_ticket2328/src/TOP/PISCES/P4Z/p4zprod.F90	(revision 11872)
@@ -456,5 +456,5 @@
      ENDIF
 
-     IF(ln_ctl .OR. sn_cfctl%l_mpptop)   THEN  ! print mean trends (used for debugging)
+     IF(sn_cfctl%l_prttrc)   THEN  ! print mean trends (used for debugging)
          WRITE(charout, FMT="('prod')")
          CALL prt_ctl_trc_info(charout)
Index: /NEMO/branches/2019/fix_sn_cfctl_ticket2328/src/TOP/PISCES/P4Z/p4zrem.F90
===================================================================
--- /NEMO/branches/2019/fix_sn_cfctl_ticket2328/src/TOP/PISCES/P4Z/p4zrem.F90	(revision 11871)
+++ /NEMO/branches/2019/fix_sn_cfctl_ticket2328/src/TOP/PISCES/P4Z/p4zrem.F90	(revision 11872)
@@ -207,5 +207,5 @@
       END DO
 
-       IF(ln_ctl .OR. sn_cfctl%l_mpptop)   THEN  ! print mean trends (used for debugging)
+       IF(sn_cfctl%l_prttrc)   THEN  ! print mean trends (used for debugging)
          WRITE(charout, FMT="('rem1')")
          CALL prt_ctl_trc_info(charout)
@@ -233,5 +233,5 @@
       END DO
 
-       IF(ln_ctl .OR. sn_cfctl%l_mpptop)   THEN  ! print mean trends (used for debugging)
+       IF(sn_cfctl%l_prttrc)   THEN  ! print mean trends (used for debugging)
          WRITE(charout, FMT="('rem2')")
          CALL prt_ctl_trc_info(charout)
@@ -268,5 +268,5 @@
       END DO
 
-      IF(ln_ctl .OR. sn_cfctl%l_mpptop)   THEN  ! print mean trends (used for debugging)
+      IF(sn_cfctl%l_prttrc)   THEN  ! print mean trends (used for debugging)
          WRITE(charout, FMT="('rem3')")
          CALL prt_ctl_trc_info(charout)
Index: /NEMO/branches/2019/fix_sn_cfctl_ticket2328/src/TOP/PISCES/P4Z/p4zsed.F90
===================================================================
--- /NEMO/branches/2019/fix_sn_cfctl_ticket2328/src/TOP/PISCES/P4Z/p4zsed.F90	(revision 11871)
+++ /NEMO/branches/2019/fix_sn_cfctl_ticket2328/src/TOP/PISCES/P4Z/p4zsed.F90	(revision 11872)
@@ -482,5 +482,5 @@
       ENDIF
       !
-      IF(ln_ctl .OR. sn_cfctl%l_mpptop) THEN  ! print mean trends (USEd for debugging)
+      IF(sn_cfctl%l_prttrc) THEN  ! print mean trends (USEd for debugging)
          WRITE(charout, fmt="('sed ')")
          CALL prt_ctl_trc_info(charout)
Index: /NEMO/branches/2019/fix_sn_cfctl_ticket2328/src/TOP/PISCES/P4Z/p4zsink.F90
===================================================================
--- /NEMO/branches/2019/fix_sn_cfctl_ticket2328/src/TOP/PISCES/P4Z/p4zsink.F90	(revision 11871)
+++ /NEMO/branches/2019/fix_sn_cfctl_ticket2328/src/TOP/PISCES/P4Z/p4zsink.F90	(revision 11872)
@@ -172,5 +172,5 @@
       ENDIF
       !
-      IF(ln_ctl .OR. sn_cfctl%l_mpptop)   THEN  ! print mean trends (used for debugging)
+      IF(sn_cfctl%l_prttrc)   THEN  ! print mean trends (used for debugging)
          WRITE(charout, FMT="('sink')")
          CALL prt_ctl_trc_info(charout)
Index: /NEMO/branches/2019/fix_sn_cfctl_ticket2328/src/TOP/PISCES/P4Z/p5zmeso.F90
===================================================================
--- /NEMO/branches/2019/fix_sn_cfctl_ticket2328/src/TOP/PISCES/P4Z/p5zmeso.F90	(revision 11871)
+++ /NEMO/branches/2019/fix_sn_cfctl_ticket2328/src/TOP/PISCES/P4Z/p5zmeso.F90	(revision 11872)
@@ -376,5 +376,5 @@
       ENDIF
       !
-      IF(ln_ctl .OR. sn_cfctl%l_mpptop)   THEN  ! print mean trends (used for debugging)
+      IF(sn_cfctl%l_prttrc)   THEN  ! print mean trends (used for debugging)
         WRITE(charout, FMT="('meso')")
         CALL prt_ctl_trc_info(charout)
Index: /NEMO/branches/2019/fix_sn_cfctl_ticket2328/src/TOP/PISCES/P4Z/p5zmicro.F90
===================================================================
--- /NEMO/branches/2019/fix_sn_cfctl_ticket2328/src/TOP/PISCES/P4Z/p5zmicro.F90	(revision 11871)
+++ /NEMO/branches/2019/fix_sn_cfctl_ticket2328/src/TOP/PISCES/P4Z/p5zmicro.F90	(revision 11872)
@@ -318,5 +318,5 @@
       ENDIF
       !
-      IF(ln_ctl .OR. sn_cfctl%l_mpptop)   THEN  ! print mean trends (used for debugging)
+      IF(sn_cfctl%l_prttrc)   THEN  ! print mean trends (used for debugging)
          WRITE(charout, FMT="('micro')")
          CALL prt_ctl_trc_info(charout)
Index: /NEMO/branches/2019/fix_sn_cfctl_ticket2328/src/TOP/PISCES/P4Z/p5zmort.F90
===================================================================
--- /NEMO/branches/2019/fix_sn_cfctl_ticket2328/src/TOP/PISCES/P4Z/p5zmort.F90	(revision 11871)
+++ /NEMO/branches/2019/fix_sn_cfctl_ticket2328/src/TOP/PISCES/P4Z/p5zmort.F90	(revision 11872)
@@ -119,5 +119,5 @@
       END DO
       !
-       IF(ln_ctl .OR. sn_cfctl%l_mpptop)   THEN  ! print mean trends (used for debugging)
+       IF(sn_cfctl%l_prttrc)   THEN  ! print mean trends (used for debugging)
          WRITE(charout, FMT="('nano')")
          CALL prt_ctl_trc_info(charout)
@@ -180,5 +180,5 @@
       END DO
       !
-       IF(ln_ctl .OR. sn_cfctl%l_mpptop)   THEN  ! print mean trends (used for debugging)
+       IF(sn_cfctl%l_prttrc)   THEN  ! print mean trends (used for debugging)
          WRITE(charout, FMT="('pico')")
          CALL prt_ctl_trc_info(charout)
@@ -258,5 +258,5 @@
       END DO
       !
-      IF(ln_ctl .OR. sn_cfctl%l_mpptop)   THEN  ! print mean trends (used for debugging)
+      IF(sn_cfctl%l_prttrc)   THEN  ! print mean trends (used for debugging)
          WRITE(charout, FMT="('diat')")
          CALL prt_ctl_trc_info(charout)
Index: /NEMO/branches/2019/fix_sn_cfctl_ticket2328/src/TOP/PISCES/P4Z/p5zprod.F90
===================================================================
--- /NEMO/branches/2019/fix_sn_cfctl_ticket2328/src/TOP/PISCES/P4Z/p5zprod.F90	(revision 11871)
+++ /NEMO/branches/2019/fix_sn_cfctl_ticket2328/src/TOP/PISCES/P4Z/p5zprod.F90	(revision 11872)
@@ -554,5 +554,5 @@
      ENDIF
 
-      IF(ln_ctl .OR. sn_cfctl%l_mpptop)   THEN  ! print mean trends (used for debugging)
+      IF(sn_cfctl%l_prttrc)   THEN  ! print mean trends (used for debugging)
          WRITE(charout, FMT="('prod')")
          CALL prt_ctl_trc_info(charout)
Index: /NEMO/branches/2019/fix_sn_cfctl_ticket2328/src/TOP/PISCES/SED/trcdmp_sed.F90
===================================================================
--- /NEMO/branches/2019/fix_sn_cfctl_ticket2328/src/TOP/PISCES/SED/trcdmp_sed.F90	(revision 11871)
+++ /NEMO/branches/2019/fix_sn_cfctl_ticket2328/src/TOP/PISCES/SED/trcdmp_sed.F90	(revision 11872)
@@ -106,5 +106,5 @@
       !
       !                                          ! print mean trends (used for debugging)
-      IF( ln_ctl .OR. sn_cfctl%l_mpptop ) THEN
+      IF( sn_cfctl%l_prttrc ) THEN
          WRITE(charout, FMT="('dmp ')")
          CALL prt_ctl_trc_info(charout)
Index: /NEMO/branches/2019/fix_sn_cfctl_ticket2328/src/TOP/TRP/trcadv.F90
===================================================================
--- /NEMO/branches/2019/fix_sn_cfctl_ticket2328/src/TOP/TRP/trcadv.F90	(revision 11871)
+++ /NEMO/branches/2019/fix_sn_cfctl_ticket2328/src/TOP/TRP/trcadv.F90	(revision 11872)
@@ -135,5 +135,5 @@
       END SELECT
       !                  
-      IF( ln_ctl .OR. sn_cfctl%l_mpptop ) THEN        !== print mean trends (used for debugging)
+      IF( sn_cfctl%l_prttrc ) THEN        !== print mean trends (used for debugging)
          WRITE(charout, FMT="('adv ')")
          CALL prt_ctl_trc_info(charout)
Index: /NEMO/branches/2019/fix_sn_cfctl_ticket2328/src/TOP/TRP/trcbbl.F90
===================================================================
--- /NEMO/branches/2019/fix_sn_cfctl_ticket2328/src/TOP/TRP/trcbbl.F90	(revision 11871)
+++ /NEMO/branches/2019/fix_sn_cfctl_ticket2328/src/TOP/TRP/trcbbl.F90	(revision 11872)
@@ -67,5 +67,5 @@
          !
          CALL tra_bbl_dif( trb, tra, jptra )  
-         IF( ln_ctl .OR. sn_cfctl%l_mpptop )   THEN
+         IF( sn_cfctl%l_prttrc )   THEN
             WRITE(charout, FMT="(' bbl_dif')")  ;  CALL prt_ctl_trc_info(charout)
             CALL prt_ctl_trc( tab4d=tra, mask=tmask, clinfo=ctrcnm, clinfo2='trd' )
@@ -78,5 +78,5 @@
          !
          CALL tra_bbl_adv( trb, tra, jptra )  
-         IF( ln_ctl .OR. sn_cfctl%l_mpptop )   THEN
+         IF( sn_cfctl%l_prttrc )   THEN
             WRITE(charout, FMT="(' bbl_adv')")  ;  CALL prt_ctl_trc_info(charout)
             CALL prt_ctl_trc( tab4d=tra, mask=tmask, clinfo=ctrcnm, clinfo2='trd' )
Index: /NEMO/branches/2019/fix_sn_cfctl_ticket2328/src/TOP/TRP/trcdmp.F90
===================================================================
--- /NEMO/branches/2019/fix_sn_cfctl_ticket2328/src/TOP/TRP/trcdmp.F90	(revision 11871)
+++ /NEMO/branches/2019/fix_sn_cfctl_ticket2328/src/TOP/TRP/trcdmp.F90	(revision 11872)
@@ -156,5 +156,5 @@
       IF( l_trdtrc )  DEALLOCATE( ztrtrd )
       !                                          ! print mean trends (used for debugging)
-      IF( ln_ctl .OR. sn_cfctl%l_mpptop ) THEN
+      IF( sn_cfctl%l_prttrc ) THEN
          WRITE(charout, FMT="('dmp ')")
          CALL prt_ctl_trc_info(charout)
Index: /NEMO/branches/2019/fix_sn_cfctl_ticket2328/src/TOP/TRP/trcldf.F90
===================================================================
--- /NEMO/branches/2019/fix_sn_cfctl_ticket2328/src/TOP/TRP/trcldf.F90	(revision 11871)
+++ /NEMO/branches/2019/fix_sn_cfctl_ticket2328/src/TOP/TRP/trcldf.F90	(revision 11872)
@@ -110,5 +110,5 @@
       ENDIF
       !                
-      IF( ln_ctl .OR. sn_cfctl%l_mpptop ) THEN ! print mean trends (used for debugging)
+      IF( sn_cfctl%l_prttrc ) THEN ! print mean trends (used for debugging)
          WRITE(charout, FMT="('ldf ')")
          CALL prt_ctl_trc_info(charout)
